Page MenuHomePhabricator

date in Upload Wizard form overlaps with the calendar icon in an RTL language
Closed, ResolvedPublic

Description

screenshot showing the bug

In the fourth step of the upload wizard in Commons the date in the form overlaps with the calendar icon in an RTL language, such as Hebrew. See the attached screenshot.


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz28902

Event Timeline

bzimport raised the priority of this task from to High.Nov 21 2014, 11:26 PM
bzimport added a project: UploadWizard.
bzimport set Reference to bz28902.
Amire80 created this task.May 9 2011, 10:22 PM

This will be automatically fixed by ResourceLoader when $wgBetterDirectionality (bug 6100) is enabled.

In r91518 I made all input fields follow content direction by default, which broke it again, but I added CSS in r91519 so that it follows user language direction anyway.
So, marking as fixed, since it's fixed in trunk.

Gilles raised the priority of this task from High to Unbreak Now!.Dec 4 2014, 10:19 AM
Gilles added a project: Multimedia.
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to High.Dec 4 2014, 11:22 AM
Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:20 PM